## org.apache.poi.hslf.record
Class RoundTripHFPlaceholder12

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordAtom
              org.apache.poi.hslf.record.RoundTripHFPlaceholder12

    public final class RoundTripHFPlaceholder12

extends RecordAtom

An atom record that specifies that a shape is a header or footer placeholder shape

Since:
  PowerPoint 2007
Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`protected` `RoundTripHFPlaceholder12(byte[] source, int start, int len)` Constructs the comment atom record from its source data.

Method Summary
`int` `getPlaceholderId()` Gets the comment number (note - each user normally has their own count).
`long` `getRecordType()` Gets the record type.
`void` `setPlaceholderId(int number)` Sets the comment number (note - each user normally has their own count).
`void` `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordAtom
`getChildRecords, isAnAtom`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoundTripHFPlaceholder12

    protected RoundTripHFPlaceholder12(byte[] source,
                                       int start,
                                       int len)

  Constructs the comment atom record from its source data.

  Parameters:
    `source` - the source data as a byte array.
    `start` - the start offset into the byte array.
    `len` - the length of the slice in the byte array.

Method Detail

### getPlaceholderId

    public int getPlaceholderId()

  Gets the comment number (note - each user normally has their own count).

  Returns:
    the comment number.

### setPlaceholderId

    public void setPlaceholderId(int number)

  Sets the comment number (note - each user normally has their own count).

  Parameters:
    `number` - the comment number.

### getRecordType

    public long getRecordType()

  Gets the record type.

  Specified by:
    `getRecordType` in class `Record`
  Returns:
    the record type.

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Parameters:
    `out` - the output stream to write to.
  Throws:
    `java.io.IOException` - if an error occurs.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.